Create a theft report
This service can be used to report a vehicle as stolen.
When a vehicle is reported stolen, it triggers an active search for the iBeacon identifier associated with this vehicle. Every detection of the searched iBeacon will be captured, and its location information transmitted to the client's push service.
Theft reports expire after 30 days, after which push notifications will no longer be sent.
You are responsible for maintaining the mapping between the iBeacon identifier in the theft report and the corresponding stolen vehicle. DriveKit transmits the detected tag identifier and its location, but does not manage the association with the vehicle directly.
Drivekit Admin API key
The unique identifier of the beacon associated with the vehicle to be reported as stolen.
The major value of the iBeacon
The minor value of the iBeacon
The date and time when the vehicle was reported as stolen, in ISO 8601 format.
2026-04-15T13:31:52.974754+02:00Report created successfully
The unique identifier of the stolen vehicle report
The date and time when the report was created, in ISO 8601 format
2026-04-24T14:50:40.407+00:00The date and time when the vehicle was reported as stolen, in ISO 8601 format
2026-04-23T21:55:09.954+00:00The date and time when the theft report was closed, in ISO 8601 format
2026-05-23T21:55:09.954+00:00The reason for closing the theft report
Additional comments regarding the closure of the theft report
The status of the theft report
Bad request
Unauthorized
Conflict
POST /v3/drivekit/admin/beacon/report HTTP/1.1
Host: service.drivequant.com
DriveKit-Admin-API-Key: text
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"major": 1,
"minor": 1,
"theftReportDate": "2026-04-15T13:31:52.974754+02:00"
}{
"id": "text",
"requestDate": "2026-04-24T14:50:40.407+00:00",
"theftReportDate": "2026-04-23T21:55:09.954+00:00",
"theftReportClosingDate": "2026-05-23T21:55:09.954+00:00",
"theftReportClosingReason": null,
"theftReportClosingComment": null,
"status": "ACTIVE",
"beacon": {
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"major": 1,
"minor": 1
}
}Request body
The table below summarizes the content of the request body.
uuid
string
iBeacon UUID.
major
integer
iBeacon major identifier
minor
integer
iBeacon minor identifier
theftReportDate
string
Date at which the theft was reported to the authorities.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
Response body
The table below summarizes the content of the response body.
id
string
Unique identifier of the theft report
requestDate
string
Date at which the theft was reported on DriveQuant platform.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
theftReportDate
string
Date at which the theft was reported to the authorities.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
theftReportClosingDate
string
Date at which the theft report expires.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
status
string
Status of the report.
Allowed values: ACTIVE
Beacon
The table below summarizes the content of the Beacon object.
uuid
string
iBeacon UUID
major
integer
iBeacon major identifier
minor
integer
iBeacon minor identifier
Last updated
Was this helpful?

